Bug 509879 - CUPS backend badly-behaved when listing devices
CUPS backend badly-behaved when listing devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freenx-server (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 12:41 EDT by Tim Waugh
Modified: 2009-08-10 17:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.7.3-15.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 17:40:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
freenx-server-cups-list-devices.patch (584 bytes, patch)
2009-07-06 12:41 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2009-07-06 12:41:15 EDT
Created attachment 350641 [details]
freenx-server-cups-list-devices.patch

Description of problem:
When using 'lpinfo -v' to list CUPS devices, CUPS logs this error:

E [06/Jul/2009:15:11:26 +0100] [cups-deviced] Bad line from "nxsmb": Warning: Not using nxredir library. The DEVICE_URI is not in the right format.

The nxsmb backend shouldn't do that.

Version-Release number of selected component (if applicable):
freenx-server-0.7.3-12.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1./usr/lib/cups/backend/nxsmb
  
Actual results:
Warning message, then a generic 'smb' device (which is not required).

Expected results:
No output, 0 exit code.

Additional info:
Patch attached.
Comment 1 Axel Thimm 2009-07-25 13:30:02 EDT
Thanks for the patch!
Comment 2 Fedora Update System 2009-07-25 19:10:51 EDT
freenx-server-0.7.3-14.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/freenx-server-0.7.3-14.fc10
Comment 3 Fedora Update System 2009-07-25 19:11:34 EDT
freenx-server-0.7.3-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/freenx-server-0.7.3-14.fc11
Comment 4 Fedora Update System 2009-07-27 17:29:49 EDT
freenx-server-0.7.3-14.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8023
Comment 5 Fedora Update System 2009-07-27 17:30:47 EDT
freenx-server-0.7.3-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8022
Comment 6 Fedora Update System 2009-08-01 19:53:42 EDT
freenx-server-0.7.3-15.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8022
Comment 7 Fedora Update System 2009-08-01 19:57:38 EDT
freenx-server-0.7.3-15.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8023
Comment 8 Tim Waugh 2009-08-10 13:06:10 EDT
This is fixed on Fedora 11 with freenx-server-0.7.3-15.fc11.  Thanks.
Comment 9 Fedora Update System 2009-08-10 17:39:26 EDT
freenx-server-0.7.3-15.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-08-10 17:51:51 EDT
freenx-server-0.7.3-15.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.